import terminalKit from 'terminal-kit';
const term = terminalKit.terminal;
const frames = ['-', '\\', '|', '/'];
let currentFrame = 0;
let interval;

async function showLoadingAnimation() {

  term.clear();
  term.moveTo(1, 1);
  term(frames[currentFrame]);
  currentFrame = (currentFrame + 1) % frames.length;
}

export async function startLoading() {
  term.hideCursor();
  interval = setInterval(await showLoadingAnimation, 200
  );
}

export async function stopLoading() {
  clearInterval(interval);
  term.clear();
  term.moveTo(1, 1);
}
